#version 430

uniform mat4 proj;
uniform mat4 view;

out vec3 varTexture;

void main(void) { 
    int id = gl_VertexID;
    int x = id & 0xF;
    int y = (id >> 4) & 0xF;
    int z = (id >> 8) & 0xF;
    gl_Position =  proj * view * vec4(x, y, z, 1.0);
    varTexture = vec3(x, y, z) * (1.0 / 15.0);
}